Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Unsuitable authorization check in transaction SE24, SAP security note 1460043

Description

A missing authorization check in transaction SE24 enables you to open the editor and change the ABAP source of the class without having the required developer authorization.

Available fix and Supported packages

  • SAP_BASIS | 46C | 46D
  • SAP_BASIS | 610 | 640
  • SAP_BASIS | 700 | 702
  • SAP_BASIS | 710 | 720
  • SAP_BASIS 700 | SAPKB70022 |
  • SAP_BASIS 701 | SAPKB70107 |
  • SAP_BASIS 702 | SAPKB70205 |
  • SAP_BASIS 710 | SAPKB71011 |
  • SAP_BASIS 46C | SAPKB46C61 |
  • SAP_BASIS 711 | SAPKB71106 |
  • SAP_BASIS 620 | SAPKB62069 |
  • SAP_BASIS 720 | SAPKB72004 |
  • SAP_BASIS 640 | SAPKB64027 |

Affected component

    BC-DWB-TOO-CLA
    Class Builder

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1460043

TAGS

#Transaction-SE24

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below